%define major 3
%define libname %mklibname yaz %{major}
%define develname %mklibname yaz -d

Summary:	Z39.50 protocol support library
Name:		yaz
Version:	3.0.24
Release:	%mkrel 1
License:	BSD-like
Group:		System/Libraries
URL:		http://www.indexdata.dk/yaz/
Source0:	http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.gz
Patch0:		yaz-config.diff
BuildRequires:	docbook-style-dsssl
BuildRequires:	docbook-style-xsl
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	termcap-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	libicu-devel
BuildRequires:	bison
BuildRequires:	libpth-devel
BuildRequires:	tcl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains both a test-server and clients (normal & ssl) for the
ANSI/NISO Z39.50 protocol for Information Retrieval.

%package -n	%{libname}
Summary:	Z39.50 Library
Group:		System/Libraries
Requires:	openssl
Requires:	tcp_wrappers
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
YAZ is a library for the ANSI/NISO Z39.50 protocol for Information Retrieval.

%package -n	%{develname}
Summary:	Z39.50 Library - development package
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Conflicts:	%{mklibname yaz 2 -d}
Obsoletes:	%{mklibname yaz 3 -d}

%description -n	%{develname}
Development libraries and includes for the libyaz package.

%prep

%setup -q
%patch0 -p0

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*
perl -pi -e "s|/usr/lib/|%{_libdir}/|g" configure*

%build
rm -f missing

sh ./buildconf.sh

%if %mdkversion <= 200600
export LIBS="$LIBS -lnsl"
%endif

%configure2_5x \
    --enable-shared \
    --enable-tcpd \
    --enable-pth \
    --with-openssl \
    --with-xml2 \
    --with-xslt \
    --with-exslt \
    --with-icu \
    --with-pcap
    
%make

%check
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std docdir=/installed-docs

# fix installed docs
rm -rf installed-docs
mv %{buildroot}/installed-docs .
mv %{buildroot}%{_docdir}/yaz/* installed-docs/

# fix yaz-config (weird stuff...)
perl -pi -e "s|^yaz_echo_source=.*|yaz_echo_source=yes|g" %{buildroot}%{_bindir}/yaz-config

%multiarch_binaries %{buildroot}%{_bindir}/yaz-config

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc README LICENSE TODO installed-docs/*.html installed-docs/*.png
%attr(755,root,root) %{_bindir}/yaz-*
%attr(755,root,root) %{_bindir}/zoomsh
%{_mandir}/man1/yaz-client*.*
%{_mandir}/man1/yaz-iconv.1*
%{_mandir}/man1/yaz-icu.1*
%{_mandir}/man1/yaz-illclient.1*
%{_mandir}/man1/yaz-marcdump.1*
%{_mandir}/man1/zoomsh.*
%{_mandir}/man8/yaz-ztest*.*
# moved from lib pkg
%{_mandir}/man7/*
%{_datadir}/yaz/etc

%files -n %{libname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/yaz-config
%multiarch %attr(755,root,root) %{multiarch_bindir}/yaz-config
%attr(755,root,root) %{_bindir}/yaz-asncomp
%{_includedir}/yaz
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/yaz.m4
%{_datadir}/yaz/z39.50
%{_datadir}/yaz/ill
%{_mandir}/man1/yaz-asncomp.*
%{_mandir}/man8/yaz-config.*


%changelog
* Fri Feb 15 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0.24-1mdv2008.1
+ Revision: 168741
- second try (bork bork bork!)
- 3.0.24
- rediffed P0
- make that strange doc install work

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.18-2mdv2008.1
+ Revision: 138524
- reintroduce patch 0

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.18-1mdv2008.1
+ Revision: 138494
- add bunch of missing buildrequires, and remove not needed ones
- fix file list
- drop patch 0
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 13 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.14-2mdv2008.1
+ Revision: 108417
- make it build on cs4

* Tue Oct 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.14-1mdv2008.1
+ Revision: 101377
- new version

* Mon Oct 01 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.10-2mdv2008.0
+ Revision: 94147
- rebuilt due to missing packages

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.10-1mdv2008.0
+ Revision: 81705
- 3.0.10
- drop obolete patches
- new devel naming

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 3.0.6-3mdv2008.0
+ Revision: 74638
- better conflict on older lib

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 3.0.6-2mdv2008.0
+ Revision: 74631
- add explicit conflict from libyaz3-devel on libyaz2-devel

* Thu Jun 07 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.6-1mdv2008.0
+ Revision: 36505
- 3.0.6

* Tue May 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.2-1mdv2008.0
+ Revision: 25052
- 3.0.2
- rediffed P0
- new major (3)

* Sat Apr 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.54-2mdv2008.0
+ Revision: 16550
- regenerate P0 one more time

* Sat Apr 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.54-1mdv2008.0
+ Revision: 16497
- new version
- regenerate P0 and P1
- own missing files


* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.48-1mdv2007.0
+ Revision: 118327
- new version
- use major
- move non-so files from lib package
- spec file clean

* Mon Jan 22 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.46-2mdv2007.1
+ Revision: 111894
- added fixes to P0 by Tomasz Pawel Gajc

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rework patch 0
    - new version

* Wed Dec 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.42-1mdv2007.1
+ Revision: 102126
- make it build against the shared pcal libs
- added lib64 fixes
- 2.1.42
- rediffed P0
- use the check macro
- use "system" autofoo versions
- fix deps

* Wed Dec 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.10-2mdv2007.1
+ Revision: 102117
- Import yaz

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.10-2mdk
- rebuild

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.10-1mdk
- 2.1.10
- rediffed P0
- use %%mkrel

* Fri Oct 07 2005 Pascal Terjan <pterjan@mandriva.org> 2.1.8-1mdk
- 2.1.8

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.4-1mdk
- 2.1.4 (Major feature enhancements)
- run the test suite

* Mon Apr 04 2005 Pascal Terjan <pterjan@mandrake.org> 2.0.28-3mdk
- multiarch

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.28-2mdk
- rebuild for new readline

* Fri Nov 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.28-1mdk
- 2.0.28
- rediffed P0

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.26-1mdk
- 2.0.26

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-4mdk
- rebuild

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-3mdk
- fix yaz-config (weird stuff...)

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-2mdk
- make it compile on 9.2 too

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-1mdk
- 2.0.21
- drop the patches
- added P0 (yaz-config)
- misc spec file fixes

